Subject: [PATCH 15/20] ASoC: fsl: make fsl_ssi driver compilable on ARM/IMX

From: [email-masked] (Mark Brown)
Date: Tue, 6 Mar 2012 12:06:47 +0000

On Tue, Mar 06, 2012 at 10:40:15AM +0000, Russell King - ARM Linux wrote:
> On Mon, Mar 05, 2012 at 12:26:36AM +0000, Mark Brown wrote:
> > On Mon, Mar 05, 2012 at 12:13:52AM +0000, Tabi Timur-B04825 wrote:

> > > To answer your question: I was lead to believe that the individual ALSA 
> > > callback functions are atomic.  So one thread should not be trying to 
> > > start playback while another thread is simultaneously trying to stop it.

> > That's correct, there's ALSA level locking.

> Please explain which lock prevents the capture substream trigger callback
> occuring simultaneously with a playback substream trigger callback on a
> SMP system.

Oh, bother - that one is per substream not per stream.  Which isn't
terribly helpful.
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20120306/4cb0f073/attachment.sig>